# Generated by Django 4.0.7 on 2022-08-24 07:13

import wagtail.blocks
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations

import main.blocks
import shared.blocks


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0010_alter_mainarticlepage_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mainarticlepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    ("text", wagtail.blocks.RichTextBlock(template="")),
                    (
                        "quote",
                        wagtail.blocks.StructBlock(
                            [
                                ("quote", wagtail.blocks.CharBlock(label="Citace")),
                                (
                                    "autor_name",
                                    wagtail.blocks.CharBlock(label="Jméno autora"),
                                ),
                            ]
                        ),
                    ),
                    (
                        "download",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "file",
                                    wagtail.documents.blocks.DocumentChooserBlock(
                                        label="Stáhnutelný soubor"
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek"
                                    ),
                                ),
                                (
                                    "href",
                                    wagtail.blocks.URLBlock(label="Odkaz k textu"),
                                ),
                                ("text", wagtail.blocks.CharBlock(label="Text")),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Článek",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "slides",
                                    wagtail.blocks.ListBlock(
                                        main.blocks.HomePageCarouseSlideBlock,
                                        label="Obrázky s nadpisy - carouselu",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "people",
                        wagtail.blocks.StructBlock(
                            [("title", wagtail.blocks.CharBlock(label="Titulek"))]
                        ),
                    ),
                    (
                        "regions",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Články pro regiony se načtou automaticky",
                                        label="Titulek",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "tweets",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Tweety budou načteny pro všchny profily uvedené v nastavení webu automaticky",
                                        label="Titulek",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "boxes",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.PersonBoxBlock, label="Boxíky"
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Hlavní obsah",
            ),
        ),
    ]
